c     Compile as: g77 ftest.f -L. -ltsil

      PROGRAM ftest

      INCLUDE 'tsil_fort.inc'

      REAL*8 x0,y0,z0,u0,v0,qq,s0
      INTEGER i

      x0=1.0
      y0=2.0
      z0=3.0
      u0=4.0
      v0=5.0
      qq=1.0
      s0=10.0

c This cas has lots of ComplexInfinity's
c      x0=0.0
c      y0=0.0
c      z0=0.0
c      u0=0.0
c      v0=5.0
c      qq=7.0
c      s0=0.0

      CALL tsilfevaluate (x0,y0,z0,u0,v0,qq,s0)

      print *,'x  = ', x0
      print *,'y  = ', y0
      print *,'z  = ', z0
      print *,'u  = ', u0
      print *,'v  = ', v0
      print *,'s  = ', s0
      print *,'qq = ', qq
      print *
      print *, 'M = ', M
      print *
      print *, 'U(zxyv) = ', U(zxyv)
      print *, 'U(uyxv) = ', U(uyxv)
      print *, 'U(xzuv) = ', U(xzuv)
      print *, 'U(yuzv) = ', U(yuzv)
      print *
      print *, 'T(vyz) = ', T(vyz)
      print *, 'T(uxv) = ', T(uxv)
      print *, 'T(yzv) = ', T(yzv)
      print *, 'T(xuv) = ', T(xuv)
      print *, 'T(zyv) = ', T(zyv)
      print *, 'T(vxu) = ', T(vxu)
      print *
      print *, 'S(vyz) = ', S(vyz)
      print *, 'S(uxv) = ', S(uxv)
      print *
      print *, 'B(xz) = ', B(xz)
      print *, 'B(yu) = ', B(yu)
      print *
      print *, 'V(zxyv) = ', V(zxyv)
      print *, 'V(uyxv) = ', V(uyxv)
      print *, 'V(xzuv) = ', V(xzuv)
      print *, 'V(yuzv) = ', V(yuzv)
      print *
      print *, 'Tbar(vyz) = ', Tbar(vyz)
      print *, 'Tbar(uxv) = ', Tbar(uxv)
      print *, 'Tbar(yzv) = ', Tbar(yzv)
      print *, 'Tbar(xuv) = ', Tbar(xuv)
      print *, 'Tbar(zyv) = ', Tbar(zyv)
      print *, 'Tbar(vxu) = ', Tbar(vxu)
      print *

c     Bold functions:
c     Note that due to Fortran's indexing convention, the 1,2,3 here
c     (second arg of arrays) returns the power of 1/epsilon^{0,1,2},
c     respectively:
      do i=1,3
         print *, 'UU(zxyv,',i,') = ', Ubold(zxyv,i)
      end do
      do i=1,3
         print *, 'UU(uyxv,',i,') = ', Ubold(uyxv,i)
      end do
      do i=1,3
         print *, 'UU(xzuv,',i,') = ', Ubold(xzuv,i)
      end do
      do i=1,3
         print *, 'UU(yuzv,',i,') = ', Ubold(yuzv,i)
      end do

      print *
      do i=1,3
         print *, 'VV(zxyv,',i,') = ', Vbold(zxyv,i)
      end do
      do i=1,3
         print *, 'VV(uyxv,',i,') = ', Vbold(uyxv,i)
      end do
      do i=1,3
         print *, 'VV(xzuv,',i,') = ', Vbold(xzuv,i)
      end do
      do i=1,3
         print *, 'VV(yuzv,',i,') = ', Vbold(yuzv,i)
      end do

      print *
      do i=1,3
         print *, 'TT(vyz,',i,') = ', Tbold(vyz,i)
      end do
      do i=1,3
         print *, 'TT(uxv,',i,') = ', Tbold(uxv,i)
      end do
      do i=1,3
         print *, 'TT(yzv,',i,') = ', Tbold(yzv,i)
      end do
      do i=1,3
         print *, 'TT(xuv,',i,') = ', Tbold(xuv,i)
      end do
      do i=1,3
         print *, 'TT(zyv,',i,') = ', Tbold(zyv,i)
      end do
      do i=1,3
         print *, 'TT(vxu,',i,') = ', Tbold(vxu,i)
      end do

      print *
      do i=1,3
         print *, 'SS(vyz,',i,') = ', Sbold(vyz,i)
      end do
      do i=1,3
         print *, 'SS(uxv,',i,') = ', Sbold(uxv,i)
      end do

      END PROGRAM ftest
